Manifest-Version: 1.0
Bnd-LastModified: 1754080593452
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Template FreeMarker
Bundle-SymbolicName: com.liferay.portal.template.freemarker
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.43.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.osgi.service.tracker.collections.map;version="2.3",com.liferay.pet
 ra.concurrent;version="2.1",com.liferay.petra.executor;version="2.0",
 com.liferay.petra.io.unsync;version="1.0",com.liferay.petra.lang;vers
 ion="1.3",com.liferay.petra.memory;version="2.0",com.liferay.petra.re
 flect;version="1.5",com.liferay.petra.string;version="1.7",com.lifera
 y.portal.configuration.metatype.annotations;version="1.8",com.liferay
 .portal.configuration.metatype.bnd.util;version="3.0",com.liferay.por
 tal.kernel.cache;version="14.0",com.liferay.portal.kernel.cache.threa
 d.local;version="2.0",com.liferay.portal.kernel.log;version="8.0",com
 .liferay.portal.kernel.model;version="30.4",com.liferay.portal.kernel
 .security.auth;version="6.1",com.liferay.portal.kernel.service;versio
 n="25.1",com.liferay.portal.kernel.servlet;version="12.1",com.liferay
 .portal.kernel.template;version="15.0",com.liferay.portal.kernel.temp
 lateparser;version="8.0",com.liferay.portal.kernel.theme;version="10.
 5",com.liferay.portal.kernel.transaction;version="8.1",com.liferay.po
 rtal.kernel.util;version="63.0",com.liferay.portal.spring.aop,com.lif
 eray.portal.template;version="11.0",com.liferay.portal.template.engin
 e;version="1.1",com.liferay.portal.util;version="52.0",javax.el,javax
 .servlet,javax.servlet.http,javax.servlet.jsp,javax.servlet.jsp.el,ja
 vax.servlet.jsp.tagext,javax.swing,javax.swing.tree,javax.xml.parsers
 ,javax.xml.transform,org.apache.commons.logging,org.apache.log4j,org.
 dom4j,org.dom4j.tree,org.jaxen,org.jaxen.dom,org.jaxen.dom4j,org.jaxe
 n.jdom,org.osgi.framework;version="1.8",org.osgi.framework.wiring;ver
 sion="1.2",org.osgi.service.component;version="1.4",org.osgi.util.tra
 cker;version="1.5",org.slf4j,org.w3c.dom,org.w3c.dom.traversal,org.xm
 l.sax,org.xml.sax.helpers,org.apache.taglibs.standard;version="[1.2.3
 ,2.0)",org.apache.taglibs.standard.extra.spath;version="[1.2.3,2.0)",
 org.apache.taglibs.standard.functions;version="[1.2.3,2.0)",org.apach
 e.taglibs.standard.lang.jstl;version="[1.2.3,2.0)",org.apache.taglibs
 .standard.lang.jstl.parser;version="[1.2.3,2.0)",org.apache.taglibs.s
 tandard.lang.jstl.test;version="[1.2.3,2.0)",org.apache.taglibs.stand
 ard.lang.jstl.test.beans;version="[1.2.3,2.0)",org.apache.taglibs.sta
 ndard.lang.support;version="[1.2.3,2.0)",org.apache.taglibs.standard.
 resources;version="[1.2.3,2.0)",org.apache.taglibs.standard.tag.commo
 n.core;version="[1.2.3,2.0)",org.apache.taglibs.standard.tag.common.f
 mt;version="[1.2.3,2.0)",org.apache.taglibs.standard.tag.common.sql;v
 ersion="[1.2.3,2.0)",org.apache.taglibs.standard.tag.common.xml;versi
 on="[1.2.3,2.0)",org.apache.taglibs.standard.tag.el.core;version="[1.
 2.3,2.0)",org.apache.taglibs.standard.tag.el.fmt;version="[1.2.3,2.0)
 ",org.apache.taglibs.standard.tag.el.sql;version="[1.2.3,2.0)",org.ap
 ache.taglibs.standard.tag.el.xml;version="[1.2.3,2.0)",org.apache.tag
 libs.standard.tag.rt.core;version="[1.2.3,2.0)",org.apache.taglibs.st
 andard.tag.rt.fmt;version="[1.2.3,2.0)",org.apache.taglibs.standard.t
 ag.rt.sql;version="[1.2.3,2.0)",org.apache.taglibs.standard.tag.rt.xm
 l;version="[1.2.3,2.0)",org.apache.taglibs.standard.tei;version="[1.2
 .3,2.0)",org.apache.taglibs.standard.tlv;version="[1.2.3,2.0)"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Template
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.template.freemarker.configuration,
 com.liferay.portal.template.freemarker.internal,com.liferay.portal.te
 mplate.freemarker.internal.helper,freemarker.cache,freemarker.core,fr
 eemarker.debug,freemarker.debug.impl,freemarker.ext.ant,freemarker.ex
 t.beans,freemarker.ext.dom,freemarker.ext.jdom,freemarker.ext.jsp,fre
 emarker.ext.jsp.internal,freemarker.ext.jython,freemarker.ext.rhino,f
 reemarker.ext.servlet,freemarker.ext.util,freemarker.ext.xml,freemark
 er.log,freemarker.template,freemarker.template.utility,freemarker
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.template.TemplateManager";uses:="com.liferay.portal.ke
 rnel.template",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.template.TemplateResourceLoader";uses:="com.liferay.portal
 .kernel.template",osgi.service;objectClass:List<String>="com.liferay.
 portal.template.TemplateResourceParser";uses:="com.liferay.portal.tem
 plate",osgi.service;objectClass:List<String>="com.liferay.portal.temp
 late.engine.TemplateContextHelper";uses:="com.liferay.portal.template
 .engine",osgi.service;objectClass:List<String>="com.liferay.portal.te
 mplate.freemarker.internal.FreeMarkerTemplateResourceCache";uses:="co
 m.liferay.portal.template.freemarker.internal",osgi.service;objectCla
 ss:List<String>="freemarker.core.TemplateClassResolver";uses:="freema
 rker.core"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.pet
 ra.executor.PortalExecutorManager)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.template.TemplateResour
 ceLoader)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.util.Portal)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.template.engine.TemplateContext
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.template.freemarker.internal.FreeMarkerTemplateResourceCa
 che)";effective:=active,osgi.service;filter:="(objectClass=freemarker
 .core.TemplateClassResolver)";effective:=active,osgi.extender;filter:
 ="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0))
 )",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=
 JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(ver
 sion=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.template.freemarker.int
 ernal.FreeMarkerManager.xml,OSGI-INF/com.liferay.portal.template.free
 marker.internal.FreeMarkerServletResourceParser.xml,OSGI-INF/com.life
 ray.portal.template.freemarker.internal.FreeMarkerTemplateResourceCac
 he.xml,OSGI-INF/com.liferay.portal.template.freemarker.internal.FreeM
 arkerTemplateResourceLoader.xml,OSGI-INF/com.liferay.portal.template.
 freemarker.internal.LiferayTemplateClassResolver.xml,OSGI-INF/com.lif
 eray.portal.template.freemarker.internal.helper.FreeMarkerTemplateCon
 textHelper.xml
Tool: Bnd-5.3.0.202102221516

